]> Git Repo - linux.git/blob - drivers/gpu/drm/ci/igt_runner.sh
Merge tag 'linux-watchdog-6.14-rc1' of git://www.linux-watchdog.org/linux-watchdog
[linux.git] / drivers / gpu / drm / ci / igt_runner.sh
1 #!/bin/sh
2 # SPDX-License-Identifier: MIT
3
4 set -ex
5
6 export IGT_FORCE_DRIVER=${DRIVER_NAME}
7 export PATH=$PATH:/igt/bin/
8 export LD_LIBRARY_PATH=$LD_LIBRARY_PATH:/igt/lib/aarch64-linux-gnu/:/igt/lib/x86_64-linux-gnu:/igt/lib:/igt/lib64
9
10 # Uncomment the below to debug problems with driver probing
11 : '
12 ls -l /dev/dri/
13 cat /sys/kernel/debug/devices_deferred
14 cat /sys/kernel/debug/device_component/*
15 '
16
17 # Dump drm state to confirm that kernel was able to find a connected display:
18 set +e
19 cat /sys/kernel/debug/dri/*/state
20 set -e
21
22 case "$DRIVER_NAME" in
23     amdgpu|vkms)
24         # Cannot use HWCI_KERNEL_MODULES as at that point we don't have the module in /lib
25         mv /install/modules/lib/modules/* /lib/modules/. || true
26         modprobe --first-time $DRIVER_NAME
27         ;;
28 esac
29
30 if [ -e "/install/xfails/$DRIVER_NAME-$GPU_VERSION-skips.txt" ]; then
31     IGT_SKIPS="--skips /install/xfails/$DRIVER_NAME-$GPU_VERSION-skips.txt"
32 fi
33
34 if [ -e "/install/xfails/$DRIVER_NAME-$GPU_VERSION-flakes.txt" ]; then
35     IGT_FLAKES="--flakes /install/xfails/$DRIVER_NAME-$GPU_VERSION-flakes.txt"
36 fi
37
38 if [ -e "/install/xfails/$DRIVER_NAME-$GPU_VERSION-fails.txt" ]; then
39     IGT_FAILS="--baseline /install/xfails/$DRIVER_NAME-$GPU_VERSION-fails.txt"
40 fi
41
42 if [ "`uname -m`" = "aarch64" ]; then
43     ARCH="arm64"
44 elif [ "`uname -m`" = "armv7l" ]; then
45     ARCH="arm"
46 else
47     ARCH="x86_64"
48 fi
49
50 curl -L --retry 4 -f --retry-all-errors --retry-delay 60 -s ${FDO_HTTP_CACHE_URI:-}$PIPELINE_ARTIFACTS_BASE/$ARCH/igt.tar.gz | tar --zstd -v -x -C /
51
52 TESTLIST="/igt/libexec/igt-gpu-tools/ci-testlist.txt"
53
54 # If the job is parallel at the gitab job level, take the corresponding fraction
55 # of the caselist.
56 if [ -n "$CI_NODE_INDEX" ]; then
57     sed -ni $CI_NODE_INDEX~$CI_NODE_TOTAL"p" $TESTLIST
58 fi
59
60 # core_getversion checks if the driver is loaded and probed correctly
61 # so run it in all shards
62 if ! grep -q "core_getversion" $TESTLIST; then
63     # Add the line to the file
64     echo "core_getversion" >> $TESTLIST
65 fi
66
67 set +e
68 igt-runner \
69     run \
70     --igt-folder /igt/libexec/igt-gpu-tools \
71     --caselist $TESTLIST \
72     --output /results \
73     -vvvv \
74     $IGT_SKIPS \
75     $IGT_FLAKES \
76     $IGT_FAILS \
77     --jobs 1
78 ret=$?
79 set -e
80
81 deqp-runner junit \
82    --testsuite IGT \
83    --results /results/failures.csv \
84    --output /results/junit.xml \
85    --limit 50 \
86    --template "See https://$CI_PROJECT_ROOT_NAMESPACE.pages.freedesktop.org/-/$CI_PROJECT_NAME/-/jobs/$CI_JOB_ID/artifacts/results/{{testcase}}.xml"
87
88 # Store the results also in the simpler format used by the runner in ChromeOS CI
89 #sed -r 's/(dmesg-warn|pass)/success/g' /results/results.txt > /results/results_simple.txt
90
91 cd $oldpath
92 exit $ret
This page took 0.036766 seconds and 4 git commands to generate.